Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TigerXMLHeader.xsd
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TigerXMLHeader.xsd	(revision 2401)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TigerXMLHeader.xsd	(revision 2402)
@@ -1,142 +1,157 @@
 <?xml version="1.0" encoding="UTF-8"?>
-  <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
 
- <!-- =======================================================================
-      XML SubSchema for the header part of the TIGER-XML format
-      http://www.ims.uni-stuttgart.de/projekte/TIGER/publicTigerXMLHeader.xsd
-      =======================================================================
-      TIGER Project, Wolfgang Lezius 
-      IMS, University of Stuttgart, 04/01/2003
-      ======================================================================= -->
+	<!-- ======================================================================= 
+		XML SubSchema for the header part of the TIGER-XML format http://www.ims.uni-stuttgart.de/projekte/TIGER/publicTigerXMLHeader.xsd 
+		======================================================================= TIGER 
+		Project, Wolfgang Lezius IMS, University of Stuttgart, 04/01/2003 ======================================================================= -->
 
 
-  <!-- ======================================================
-       DECLARATION OF THE HEADER
-       ====================================================== -->
+	<!-- ====================================================== DECLARATION 
+		OF THE HEADER ====================================================== -->
 
 
-  <!-- declaration of the head element -->
+	<!-- declaration of the head element -->
 
-  <xs:element name="head" type="headType"/>
+	<xs:element name="head" type="headType" />
 
 
-  <!-- declaration of the header type -->
+	<!-- declaration of the header type -->
 
-  <xs:complexType name="headType">
+	<xs:complexType name="headType">
 
-     <xs:sequence>
-        <xs:element name="meta" type="metaType" minOccurs="0" maxOccurs="1"/>
-        <xs:element name="annotation" type="annotationType" minOccurs="0" maxOccurs="1"/>
-     <xs:/sequence>    
+		<xs:sequence>
+			<xs:element name="meta" type="metaType" minOccurs="0"
+				maxOccurs="1" />
+			<xs:element name="annotation" type="annotationType"
+				minOccurs="0" maxOccurs="1" />
+			<xs: / sequence>
 
-     <!-- optional: reference to external header file 
+				<!-- optional: reference to external header file The header of a TigerXML 
+					corpus can also be stored in separate file. This attribute points to the 
+					external header file. The pointer is an URI. Examples: file:relative.xml 
+					or file:/path/to/absolute.xml Note: If there is a pointer to an external 
+					file, the head element must be empty. -->
 
-          The header of a TigerXML corpus can also be stored in separate file. 
-          This attribute points to the external header file. The pointer is
-          an URI. Examples: file:relative.xml or file:/path/to/absolute.xml
+				<xs:attribute name="external" type="xsd:anyURI" />
 
-          Note: If there is a pointer to an external file, the head
-                element must be empty. -->
+				<xs: / complexType>
 
-     <xs:attribute name="external" type="xsd:anyURI"/>  
 
-  <xs:/complexType>
+					<!-- declaration of the meta information type -->
 
+					<xs:complexType name="metaType">
 
-  <!-- declaration of the meta information type -->
+						<xs:sequence>
+							<xs:element name="name" type="xsd:string"
+								minOccurs="0" maxOccurs="1" />
+							<xs:element name="author" type="xsd:string"
+								minOccurs="0" maxOccurs="1" />
+							<xs:element name="date" type="xsd:string"
+								minOccurs="0" maxOccurs="1" />
+							<xs:element name="description" type="xsd:string"
+								minOccurs="0" maxOccurs="1" />
+							<xs:element name="format" type="xsd:string"
+								minOccurs="0" maxOccurs="1" />
+							<xs:element name="history" type="xsd:string"
+								minOccurs="0" maxOccurs="1" />
+							<xs: / sequence>
 
-  <xs:complexType name="metaType">
+								<xs: / complexType>
 
-    <xs:sequence>
-      <xs:element name="name" type="xsd:string" minOccurs="0" maxOccurs="1"/>
-      <xs:element name="author" type="xsd:string" minOccurs="0" maxOccurs="1"/>
-      <xs:element name="date" type="xsd:string" minOccurs="0" maxOccurs="1"/>
-      <xs:element name="description" type="xsd:string" minOccurs="0" maxOccurs="1"/>
-      <xs:element name="format" type="xsd:string" minOccurs="0" maxOccurs="1"/>
-      <xs:element name="history" type="xsd:string" minOccurs="0" maxOccurs="1"/>
-    <xs:/sequence>    
 
-  <xs:/complexType>
-  
+									<!-- declaration of the annotation type -->
 
-  <!-- declaration of the annotation type -->
+									<xs:complexType name="annotationType">
 
-  <xs:complexType name="annotationType">
+										<xs:sequence>
+											<xs:element name="feature" type="featureType"
+												minOccurs="1" maxOccurs="unbounded" />
+											<xs:element name="edgelabel" type="edgelabelType"
+												minOccurs="0" maxOccurs="1" />
+											<xs:element name="secedgelabel"
+												type="edgelabelType" minOccurs="0" maxOccurs="1" />
+											<xs: / sequence>
 
-    <xs:sequence>
-      <xs:element name="feature" type="featureType" minOccurs="1" maxOccurs="unbounded"/>
-      <xs:element name="edgelabel" type="edgelabelType" minOccurs="0" maxOccurs="1"/>
-      <xs:element name="secedgelabel" type="edgelabelType" minOccurs="0" maxOccurs="1"/>
-    <xs:/sequence>
+												<xs: / complexType>
 
-  <xs:/complexType>
 
+													<!-- declaration of the feature type -->
 
-  <!-- declaration of the feature type -->
+													<xs:complexType name="featureType">
 
-  <xs:complexType name="featureType">
+														<xs:sequence>
+															<xs:element name="value"
+																type="featurevalueType" minOccurs="0"
+																maxOccurs="unbounded" />
+															<xs: / sequence>
 
-    <xs:sequence>
-       <xs:element name="value" type="featurevalueType" minOccurs="0" maxOccurs="unbounded"/>
-    <xs:/sequence>
-    
-    <xs:attribute name="name" type="featurenameType" use="required"/>
+																<xs:attribute name="name"
+																	type="featurenameType" use="required" />
 
-    <xs:attribute name="domain" use="required">
-       <xs:simpleType>
-         <xs:restriction base="xsd:string">
-           <xs:enumeration value="T"/>     <!-- feature for terminal nodes -->
-           <xs:enumeration value="NT"/>    <!-- feature for nonterminal nodes -->
-           <xs:enumeration value="FREC"/>  <!-- feature for both -->
-         <xs:/restriction>
-       <xs:/simpleType>
-    <xs:/attribute>
+																<xs:attribute name="domain" use="required">
+																	<xs:simpleType>
+																		<xs:restriction base="xsd:string">
+																			<xs:enumeration value="T" />     <!-- feature for terminal nodes -->
+																			<xs:enumeration value="NT" />    <!-- feature for nonterminal nodes -->
+																			<xs:enumeration value="FREC" />  <!-- feature for both -->
+																			<xs: / restriction>
+																				<xs: / simpleType>
+																					<xs: / attribute>
 
-  <xs:/complexType>
+																						<xs: / complexType>
 
 
-  <!-- declaration of the (secondary) edge label type -->
+																							<!-- declaration of the (secondary) edge label type -->
 
-  <xs:complexType name="edgelabelType">
+																							<xs:complexType
+																								name="edgelabelType">
 
-    <xs:sequence>
-       <xs:element name="value" type="featurevalueType" minOccurs="0" maxOccurs="unbounded"/>
-    <xs:/sequence>
-    
-  <xs:/complexType>
+																								<xs:sequence>
+																									<xs:element name="value"
+																										type="featurevalueType" minOccurs="0"
+																										maxOccurs="unbounded" />
+																									<xs: / sequence>
 
+																										<xs: / complexType>
 
-  <!-- declaration of the feature value type -->
 
-  <xs:complexType name="featurevalueType">
+																											<!-- declaration of the feature value type -->
 
-    <xs:simpleContent>   <!-- element content: documentation of the feature value -->
-      <xs:extension base="xsd:string">
-        <xs:attribute name="name" type="xsd:string"/>
-      <xs:/extension>
-    <xs:/simpleContent>
+																											<xs:complexType
+																												name="featurevalueType">
 
+																												<xs:simpleContent>   <!-- element content: documentation of the feature value -->
+																													<xs:extension
+																														base="xsd:string">
+																														<xs:attribute name="name"
+																															type="xsd:string" />
+																														<xs: / extension>
+																															<xs: / simpleContent>
 
-  <xs:/complexType>
 
+																																<xs: / complexType>
 
-  <!-- ======================================================
-       HEADER DECLARATIONS THAT SHOULD BE REFINED
-       ====================================================== -->
 
-  <!-- declaration of the FEATURE NAMES used in the corpus header;
-       this type is unrestricted, but should be refined by a 
-       specialised, corpus-dependent schema -->
+																																	<!-- ====================================================== 
+																																		HEADER DECLARATIONS THAT SHOULD BE REFINED ====================================================== -->
 
-  <xs:simpleType name="featurenameType">
+																																	<!-- declaration of the FEATURE NAMES used 
+																																		in the corpus header; this type is unrestricted, but should be refined by 
+																																		a specialised, corpus-dependent schema -->
 
-    <xs:restriction base="xsd:string">
-      <xs:minLength value="1"/>
-      <xs:maxLength value="20"/>
-      <xs:whiteSpace value="preserve"/>
-    <xs:/restriction>
+																																	<xs:simpleType
+																																		name="featurenameType">
 
-  <xs:/simpleType>
+																																		<xs:restriction
+																																			base="xsd:string">
+																																			<xs:minLength value="1" />
+																																			<xs:maxLength value="20" />
+																																			<xs:whiteSpace
+																																				value="preserve" />
+																																			<xs: / restriction>
 
+																																				<xs: / simpleType>
 
-<xs:/schema>
\ No newline at end of file
+
+																																					<xs: / schema>
\ No newline at end of file
Index: tmp/org.txm.wordcloud.core/.classpath
===================================================================
--- tmp/org.txm.wordcloud.core/.classpath	(revision 2401)
+++ tmp/org.txm.wordcloud.core/.classpath	(revision 2402)
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/chartsengine/r/RWordCloudChartCreator.java
===================================================================
--- tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/chartsengine/r/RWordCloudChartCreator.java	(revision 2401)
+++ tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/chartsengine/r/RWordCloudChartCreator.java	(revision 2402)
@@ -11,8 +11,8 @@
 import org.txm.wordcloud.core.functions.WordCloud;
 
 public class RWordCloudChartCreator extends RChartCreator {
-
-
+	
+	
 	@Override
 	public File createChartFile(ChartResult result, File file) {
 		
@@ -28,69 +28,70 @@
 			
 			
 			RWorkspace rw = RWorkspace.getRWorkspaceInstance();
-//	System.out.println("load wordcloud...");
+			// System.out.println("load wordcloud...");
 			rw.eval("library(wordcloud)"); //$NON-NLS-1$
-			//System.out.println("tmpfreqs...");
+			// System.out.println("tmpfreqs...");
 			rw.addVectorToWorkspace("tmpfreqs", wordCloud.getFreqs()); //$NON-NLS-1$
-			//System.out.println("tmplabels...");
+			// System.out.println("tmplabels...");
 			rw.addVectorToWorkspace("tmplabels", wordCloud.getLabels()); //$NON-NLS-1$
 			
-			//wordcloud(words,freq,
+			// wordcloud(words,freq,
 			// scale : A vector of length 2 indicating the range of the size of the words.
-			// min.freq:  words with frequency below min.freq will not be plotted
+			// min.freq: words with frequency below min.freq will not be plotted
 			// max.words : Maximum number of words to be plotted. least frequent terms dropped
 			// random.order : plot words in random order. If false, they will be plotted in decreasing frequency
 			// random.color : choose colors randomly from the colors. If false, the color is chosen based on the frequency
 			// rot.per : proportion words with 90 degree rotation
 			// colors : color words from least to most frequent
 			// ordered.colors : if true, then colors are assigned to words in order
-			//System.out.println("wordcloud...");
+			// System.out.println("wordcloud...");
 			String cmd = "wordcloud(tmplabels, tmpfreqs, random.color=FALSE, colors=brewer.pal(10,\"Dark2\")"; //$NON-NLS-1$
 			
 			if (randomOrder == false)
 				cmd += ", random.order=FALSE"; //$NON-NLS-1$
 			
 			if (maxWords > 0) {
-				cmd += ", max.words="+maxWords; //$NON-NLS-1$
-			} else {
+				cmd += ", max.words=" + maxWords; //$NON-NLS-1$
+			}
+			else {
 				cmd += ", max.words=Inf"; //$NON-NLS-1$
 			}
 			
 			if (minFreq > 0) {
-				cmd += ", min.freq="+minFreq; //$NON-NLS-1$
+				cmd += ", min.freq=" + minFreq; //$NON-NLS-1$
 			}
 			
 			if (rotPer >= 0 && rotPer <= 1) {
-				cmd += ", rot.per="+rotPer; //$NON-NLS-1$
+				cmd += ", rot.per=" + rotPer; //$NON-NLS-1$
 			}
-			cmd +=");"; //$NON-NLS-1$
-//System.out.println("ploting...");
-			//rw.plot(svgFile, cmd, device);
-
+			cmd += ");"; //$NON-NLS-1$
+			// System.out.println("ploting...");
+			// rw.plot(svgFile, cmd, device);
+			
 			((RChartsEngine) this.chartsEngine).plot(file, cmd);
-				
-				
-				//System.out.println("cleaning");
-				rw.eval("rm(tmplabels)"); //$NON-NLS-1$
-				rw.eval("rm(tmpfreqs)"); //$NON-NLS-1$
+			
+			
+			// System.out.println("cleaning");
+			rw.eval("rm(tmplabels)"); //$NON-NLS-1$
+			rw.eval("rm(tmpfreqs)"); //$NON-NLS-1$
 		}
-		catch(RWorkspaceException e) {
+		catch (RWorkspaceException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
-		catch(StatException e) {
+		catch (StatException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 		
 		return file;
 	}
-
+	
 	@Override
 	public Class getResultDataClass() {
 		return WordCloud.class;
 	}
-
-
-
+	
+	
+	
 }
Index: tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/preferences/WordCloudPreferences.java
===================================================================
--- tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/preferences/WordCloudPreferences.java	(revision 2401)
+++ tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/preferences/WordCloudPreferences.java	(revision 2402)
@@ -7,15 +7,17 @@
 
 /**
  * Preferences initializer and manager.
+ * 
  * @author mdecorde
  * @author sjacquot
  *
  */
 public class WordCloudPreferences extends ChartsEnginePreferences {
-
+	
 	public static final String ROTATION_PERCENT = "rotation_percent"; //$NON-NLS-1$
+	
 	public static final String RANDOM_POSITIONS = "random_positions"; //$NON-NLS-1$
-
+	
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
@@ -34,9 +36,10 @@
 	
 	/**
 	 * Gets the instance.
+	 * 
 	 * @return the instance
 	 */
-	public static TXMPreferences getInstance()	{
+	public static TXMPreferences getInstance() {
 		if (!TXMPreferences.instances.containsKey(WordCloudPreferences.class)) {
 			new WordCloudPreferences();
 		}
Index: tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/messages/WordCloudCoreMessages.java
===================================================================
--- tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/messages/WordCloudCoreMessages.java	(revision 2401)
+++ tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/messages/WordCloudCoreMessages.java	(revision 2402)
@@ -17,19 +17,24 @@
 	public static String RESULT_TYPE;
 	
 	public static String info_aborting;
+	
 	public static String error_couldNotInstallRPackage;
+	
 	public static String info_installingRPackage;
+	
 	public static String info_loadingRPackage;
+	
 	public static String error_rPackagesInstallationFailed;
+	
 	public static String info_rPackagesLoaded;
+	
 	public static String info_openingWordCloudResult;
-
 	
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, WordCloudCoreMessages.class);
 	}
-
-	private WordCloudCoreMessages() {
-	}
+	
+	private WordCloudCoreMessages() {}
 }
Index: tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java
===================================================================
--- tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 2401)
+++ tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 2402)
@@ -25,52 +25,55 @@
 	
 	
 	private int[] freqs;
+	
 	private String[] labels;
 	
 	
 	/**
 	 * Minimum frequency.
 	 */
-	@Parameter(key=TXMPreferences.F_MIN)
+	@Parameter(key = TXMPreferences.F_MIN)
 	protected int fMin;
 	
 	/**
 	 * 
 	 */
-	@Parameter(key=TXMPreferences.V_MAX)
+	@Parameter(key = TXMPreferences.V_MAX)
 	protected int maxWordsCount;
-
+	
 	/**
 	 * 
 	 */
-	@Parameter(key=WordCloudPreferences.ROTATION_PERCENT)
+	@Parameter(key = WordCloudPreferences.ROTATION_PERCENT)
 	protected float rotationPercent;
 	
 	/**
 	 * 
 	 */
-	@Parameter(key=WordCloudPreferences.RANDOM_POSITIONS)
+	@Parameter(key = WordCloudPreferences.RANDOM_POSITIONS)
 	protected boolean randomPositions;
-
 	
 	
+	
 	/**
 	 * Creates a not computed words cloud.
+	 * 
 	 * @param index
 	 */
-	public WordCloud(Index parent)	{
+	public WordCloud(Index parent) {
 		super(parent);
 	}
-
+	
 	/**
 	 * Creates a not computed words cloud
+	 * 
 	 * @param parametersNodePath
 	 */
-	public WordCloud(String parametersNodePath)	{
+	public WordCloud(String parametersNodePath) {
 		super(parametersNodePath);
 	}
 	
-		
+	
 	/**
 	 * 
 	 * @param index
@@ -87,80 +90,81 @@
 			i++;
 		}
 	}
-
 	
+	
 	@Override
 	protected boolean __compute() {
-//		// FIXME: source must always be an Index because the corpus source produces an Index
-//		// from corpus
-//		if (source instanceof Corpus)	{ 
-//			try {
-//				Corpus corpus = (Corpus) source;
-//				Query query;
-//				String lang = corpus.getLang();
-//				if (corpus.getProperty(lang + "pos") != null) {
-//					query = new Query(getQueryForLang(lang));
-//				}
-//				else {
-//					query = new Query("[]");
-//				}
-//				
-//				System.out.println("Used query: " + query);
-//				
-//				ArrayList<Property> props = new ArrayList<Property>();
-//				props.add(corpus.getWordProperty());
-//				Index index = new Index(corpus);
-//				index.setParameters(query, props, null, null, null, null);
-//				if (!query.toString().equals("[]")) {
-//					corpus.addChild(index);
-//				}
-//
-//				index.compute(false, monitor);
-//				
-//				index.addChild(this);
-//					
-//				List<Line> lines = index.getAllLines();
-//				if (lines != null && lines.size() > 0) {
-//					this.initWith(index);
-//				}
-//				else {
-//					Log.severe("Error: Could not build a word selection with this corpus");
-//					throw new IllegalArgumentException("Error: Index failed with corpus " + corpus + " with lang " + lang + " and query " + query);
-//				}
-//			}
-//			catch(Exception e) {
-//				System.out.println("Error: "+e.getLocalizedMessage());
-//				Log.printStackTrace(e);
-//				return false;
-//			}
-			this.initWith((Index)parent);
-//		}
-//		// from index
-//		else if(this.source instanceof Index)	{
-//			this.initWith((Index) this.source);
-//			return true;
-//		}
-//		
+		// // FIXME: source must always be an Index because the corpus source produces an Index
+		// // from corpus
+		// if (source instanceof Corpus) {
+		// try {
+		// Corpus corpus = (Corpus) source;
+		// Query query;
+		// String lang = corpus.getLang();
+		// if (corpus.getProperty(lang + "pos") != null) {
+		// query = new Query(getQueryForLang(lang));
+		// }
+		// else {
+		// query = new Query("[]");
+		// }
+		//
+		// System.out.println("Used query: " + query);
+		//
+		// ArrayList<Property> props = new ArrayList<Property>();
+		// props.add(corpus.getWordProperty());
+		// Index index = new Index(corpus);
+		// index.setParameters(query, props, null, null, null, null);
+		// if (!query.toString().equals("[]")) {
+		// corpus.addChild(index);
+		// }
+		//
+		// index.compute(false, monitor);
+		//
+		// index.addChild(this);
+		//
+		// List<Line> lines = index.getAllLines();
+		// if (lines != null && lines.size() > 0) {
+		// this.initWith(index);
+		// }
+		// else {
+		// Log.severe("Error: Could not build a word selection with this corpus");
+		// throw new IllegalArgumentException("Error: Index failed with corpus " + corpus + " with lang " + lang + " and query " + query);
+		// }
+		// }
+		// catch(Exception e) {
+		// System.out.println("Error: "+e.getLocalizedMessage());
+		// Log.printStackTrace(e);
+		// return false;
+		// }
+		this.initWith((Index) parent);
+		// }
+		// // from index
+		// else if(this.source instanceof Index) {
+		// this.initWith((Index) this.source);
+		// return true;
+		// }
+		//
 		return true;
 	}
 	
 	// FIXME: to remove?
 	private void removeDiacritics() {
-		//for (int i = 0; i < labels.length ; i++)
-		//	labels[i] = AsciiUtils.convertNonAscii(labels[i]);
+		// for (int i = 0; i < labels.length ; i++)
+		// labels[i] = AsciiUtils.convertNonAscii(labels[i]);
 	}
-
+	
 	/**
 	 * Check and init R packages.
+	 * 
 	 * @return true if all packages are installed and initialized
 	 */
-	// FIXME: to factorize and move to RWorkspace 
-	public static boolean initPackages()	{
-		String[] packages = {"Rcpp", "RColorBrewer", "wordcloud"}; //$NON-NLS-1$ //$NON-NLS-2$  //$NON-NLS-3$
-			if (!loadAndInstallNeededPackages(packages)) {
-				System.out.println(WordCloudCoreMessages.info_aborting);
-				return false;
-			}
+	// FIXME: to factorize and move to RWorkspace
+	public static boolean initPackages() {
+		String[] packages = { "Rcpp", "RColorBrewer", "wordcloud" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		if (!loadAndInstallNeededPackages(packages)) {
+			System.out.println(WordCloudCoreMessages.info_aborting);
+			return false;
+		}
 		return true;
 	}
 	
@@ -177,24 +181,27 @@
 			try {
 				Log.severe(WordCloudCoreMessages.bind(WordCloudCoreMessages.info_loadingRPackage, p));
 				RWorkspace.getRWorkspaceInstance().loadPackage(p);
-			} catch(Exception e) {
-				//Log.severe(Messages.bind(Messages.ComputeWordCloud_3,p,e));
+			}
+			catch (Exception e) {
+				// Log.severe(Messages.bind(Messages.ComputeWordCloud_3,p,e));
 				System.out.println(WordCloudCoreMessages.bind(WordCloudCoreMessages.info_installingRPackage, p));
 				try {
-					RWorkspace.getRWorkspaceInstance().eval("install.packages(\""+p+"\", dependencies=TRUE, repos=\"http://cran.rstudio.com\");"); //$NON-NLS-1$ //$NON-NLS-2$
+					RWorkspace.getRWorkspaceInstance().eval("install.packages(\"" + p + "\", dependencies=TRUE, repos=\"http://cran.rstudio.com\");"); //$NON-NLS-1$ //$NON-NLS-2$
 					RWorkspace.getRWorkspaceInstance().loadPackage(p);
-				} catch(Exception e2) {
+				}
+				catch (Exception e2) {
 					Log.warning(WordCloudCoreMessages.bind(WordCloudCoreMessages.error_couldNotInstallRPackage, p));
 					Log.printStackTrace(e2);
 					installFailed = true;
 				}
 			}
 		}
-
+		
 		if (installFailed) {
 			Log.severe(WordCloudCoreMessages.error_rPackagesInstallationFailed);
 			return false;
-		} else {
+		}
+		else {
 			Log.fine(WordCloudCoreMessages.info_rPackagesLoaded);
 			return true;
 		}
@@ -206,32 +213,32 @@
 	 * @param p
 	 * @throws RWorkspaceException
 	 */
-
+	
 	/**
 	 * @return the freqs
 	 */
 	public int[] getFreqs() {
 		return freqs;
 	}
-
+	
 	/**
 	 * @return the labels
 	 */
 	public String[] getLabels() {
 		return labels;
 	}
-
+	
 	@Override
 	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws Exception {
 		// TODO Auto-generated method stub
 		return false;
 	}
-
+	
 	@Override
 	public void clean() {
 		// TODO Auto-generated method stub
 	}
-
+	
 	@Override
 	public String getName() {
 		return this.getSimpleName();
@@ -239,20 +246,20 @@
 	
 	@Override
 	public String getSimpleName() {
-		return "Fmin=" + this.fMin + " Vmax=" + this.maxWordsCount; //$NON-NLS-1$  //$NON-NLS-2$  //$NON-NLS-3$
+		return "Fmin=" + this.fMin + " Vmax=" + this.maxWordsCount; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	}
-
+	
 	@Override
 	public String getDetails() {
 		return this.getSimpleName();
 	}
-
 	
+	
 	@Override
 	public boolean canCompute() {
 		return this.parent != null;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		
@@ -260,24 +267,26 @@
 			Object value = parameters.get(TXMPreferences.F_MIN);
 			if (value instanceof String) {
 				this.fMin = Integer.parseInt(value.toString());
-			} else if (value instanceof Integer) {
-				this.fMin = (Integer)value;
 			}
+			else if (value instanceof Integer) {
+				this.fMin = (Integer) value;
+			}
 		}
 		
 		if (parameters.containsKey(TXMPreferences.V_MAX)) {
 			Object value = parameters.get(TXMPreferences.V_MAX);
 			if (value instanceof String) {
 				this.maxWordsCount = Integer.parseInt(value.toString());
-			} else if (value instanceof Integer) {
-				this.maxWordsCount = (Integer)value;
 			}
+			else if (value instanceof Integer) {
+				this.maxWordsCount = (Integer) value;
+			}
 		}
 		
 		return true;
 	}
-
 	
+	
 	/**
 	 * 
 	 * @param lang
@@ -295,20 +304,20 @@
 		}
 	}
 	
-
-
+	
+	
 	@Override
 	public boolean loadParameters() throws Exception {
 		// nothing to do
 		return true;
 	}
-
+	
 	@Override
 	public boolean saveParameters() throws Exception {
 		// nothing to do
 		return true;
 	}
-
+	
 	/**
 	 * 
 	 * @return
@@ -316,56 +325,56 @@
 	public int getFMin() {
 		return fMin;
 	}
-
+	
 	/**
 	 * @return the maxWordsCount
 	 */
 	public int getMaxWordsCount() {
 		return maxWordsCount;
 	}
-
+	
 	/**
 	 * @param maxWordsCount the maxWordsCount to set
 	 */
 	public void setMaxWordsCount(int maxWordsCount) {
 		this.maxWordsCount = maxWordsCount;
 	}
-
+	
 	/**
 	 * @return the rotationPercent
 	 */
 	public float getRotationPercent() {
 		return rotationPercent;
 	}
-
+	
 	/**
 	 * @param rotationPercent the rotationPercent to set
 	 */
 	public void setRotationPercent(float rotationPercent) {
 		this.rotationPercent = rotationPercent;
 	}
-
+	
 	/**
 	 * @return the randomPositions
 	 */
 	public boolean isRandomPositions() {
 		return randomPositions;
 	}
-
+	
 	/**
 	 * @param randomPositions the randomPositions to set
 	 */
 	public void setRandomPositions(boolean randomPositions) {
 		this.randomPositions = randomPositions;
 	}
-
+	
 	/**
 	 * @param fMin the fMin to set
 	 */
 	public void setFMin(int fMin) {
 		this.fMin = fMin;
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return WordCloudCoreMessages.RESULT_TYPE;
Index: tmp/org.txm.utils/src/org/txm/utils/Watcher.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/Watcher.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/Watcher.java	(revision 2402)
@@ -33,45 +33,47 @@
  *
  * @author mdecorde
  * 
- * Watch for an external tool (such as CWB or R) to be OK and try to restart it
+ *         Watch for an external tool (such as CWB or R) to be OK and try to
+ *         restart it
  */
-public abstract class Watcher implements Runnable{
+public abstract class Watcher implements Runnable {
 
 	/** The process. */
 	boolean process = true;
-	
+
 	/** The processname. */
-	protected String processname="noname"; //$NON-NLS-1$
-	
+	protected String processname = "noname"; //$NON-NLS-1$
+
 	/** The restartcount. */
 	int restartcount = 0;
-	
+
 	/** The MAXRESTARTCOUNT. */
 	static int MAXRESTARTCOUNT = 10;
-	
+
 	/** The DELAY. */
 	static int DELAY = 10000;
-	
+
 	/** The DEBUG. */
 	static boolean DEBUG = true;
-	
-	
+
 	/**
 	 * Sets the debug.
 	 *
-	 * @param state the new debug
+	 * @param state
+	 *            the new debug
 	 */
-	public static void setDebug(boolean state)
-	{
+	public static void setDebug(boolean state) {
 		DEBUG = state;
 	}
-	
-	/* (non-Javadoc)
+
+	/*
+	 * (non-Javadoc)
+	 * 
 	 * @see java.lang.Runnable#run()
 	 */
 	@Override
 	public void run() {
-		
+
 		while (process) {
 			try {
 				Thread.sleep(DELAY);
@@ -80,33 +82,34 @@
 				org.txm.utils.logger.Log.printStackTrace(e);
 				return;
 			}
-			if (DEBUG) {System.out.println("check "+processname);} //$NON-NLS-1$
-			if (!check())
-			{
-				if (DEBUG){System.out.println("restart "+processname);} //$NON-NLS-1$
-				if (!restart())
-				{
-					System.out.println("Failed to restart : "+processname); //$NON-NLS-1$
+			if (DEBUG) {
+				System.out.println("check " + processname); //$NON-NLS-1$
+			}
+			if (!check()) {
+				if (DEBUG) {
+					System.out.println("restart " + processname); //$NON-NLS-1$
+				}
+				if (!restart()) {
+					System.out.println("Failed to restart : " + processname); //$NON-NLS-1$
 					return;
 				}
-				
+
 				restartcount++;
-				if (restartcount >= MAXRESTARTCOUNT)
-				{
-					System.out.println(processname+" have been restarted "+MAXRESTARTCOUNT+" times, You should restart TXM."); //$NON-NLS-1$ //$NON-NLS-2$
+				if (restartcount >= MAXRESTARTCOUNT) {
+					System.out.println(processname + " have been restarted " + MAXRESTARTCOUNT + " times, You should restart TXM."); //$NON-NLS-1$ //$NON-NLS-2$
 					return;
 				}
 			}
 		}
 	}
-	
+
 	/**
 	 * Check.
 	 *
 	 * @return true, if successful
 	 */
 	abstract protected boolean check();
-	
+
 	/**
 	 * Restart.
 	 *
